/*
	Stock Quote Applet
	Internet Programming with Java Course
	
	(c) 2002 Martin Valkanov

	MessageBox is a dialog frame used for
	notifying the user in an error situation.
*/

import java.awt.*;
import java.awt.event.*;

public class MessageBox extends Frame
{
	String sCaption, sText;
	
	public MessageBox( String sCaption, String sText )
	{
		super( sCaption );
		
		this.sCaption = sCaption;
		this.sText = sText;
		
		init();
	}
	
	public void init()
	{
		Container cont = this;
		cont.setLayout( new GridLayout( 2, 1 ) );
		
		Panel panelTop = new Panel();
		cont.add( panelTop );
		
		Panel panelBottom = new Panel();
		cont.add( panelBottom );
		
		panelTop.add( new Label( sText ) );
		
		Button btnOK = new Button( "OK" );
		panelBottom.add( btnOK );
		
		btnOK.addActionListener( new ActionListener()
		{
			public void actionPerformed( ActionEvent e )
			{
				setVisible( false );
			}
		} );
		
		pack();
	}
}